#ifndef _Tdistancelocaltag_H_200303290931_
#define _Tdistancelocaltag_H_200303290931_

enum
{
	DISTANCELOCALTAG = 1000,
	DISTANCELOCALTAG_ACTIVE, // obsolete, but do not remove!
	DISTANCELOCALTAG_LINK1,
	DISTANCELOCALTAG_LINK2,
	DISTANCELOCALTAG_LINK3,
	DISTANCELOCALTAG_LINK4,
	DISTANCELOCALTAG_NAME1,
	DISTANCELOCALTAG_NAME2,
	DISTANCELOCALTAG_NAME3,
	DISTANCELOCALTAG_NAME4,
	DISTANCELOCALTAG_UP,
	DISTANCELOCALTAG_DOWN,
	DISTANCELOCALTAG_ALT,
	DISTANCELOCALTAG_TARGET,

	DISTANCELOCALTAG_TRANS,
	DISTANCELOCALTAG_TRANS_SAMEVALUES,

	DISTANCELOCALTAG_TRANSX_USE,
	DISTANCELOCALTAG_TRANSX_WEIGHT_SOURCE1,
	DISTANCELOCALTAG_TRANSX_WEIGHT_SOURCE2,
	DISTANCELOCALTAG_TRANSX_WEIGHT_SOURCE3,
	DISTANCELOCALTAG_TRANSX_WEIGHT_SOURCE4,
	DISTANCELOCALTAG_TRANSX_FACTOR_TARGET,
	DISTANCELOCALTAG_TRANSX_OFFSET,

	DISTANCELOCALTAG_TRANSY_USE,
	DISTANCELOCALTAG_TRANSY_WEIGHT_SOURCE1,
	DISTANCELOCALTAG_TRANSY_WEIGHT_SOURCE2,
	DISTANCELOCALTAG_TRANSY_WEIGHT_SOURCE3,
	DISTANCELOCALTAG_TRANSY_WEIGHT_SOURCE4,
	DISTANCELOCALTAG_TRANSY_FACTOR_TARGET,
	DISTANCELOCALTAG_TRANSY_OFFSET,

	DISTANCELOCALTAG_TRANSZ_USE,
	DISTANCELOCALTAG_TRANSZ_WEIGHT_SOURCE1,
	DISTANCELOCALTAG_TRANSZ_WEIGHT_SOURCE2,
	DISTANCELOCALTAG_TRANSZ_WEIGHT_SOURCE3,
	DISTANCELOCALTAG_TRANSZ_WEIGHT_SOURCE4,
	DISTANCELOCALTAG_TRANSZ_FACTOR_TARGET,
	DISTANCELOCALTAG_TRANSZ_OFFSET,

	DISTANCELOCALTAG_ROT,
	DISTANCELOCALTAG_ROT_SAMEVALUES,

	DISTANCELOCALTAG_ROTH_USE,
	DISTANCELOCALTAG_ROTH_WEIGHT_SOURCE1,
	DISTANCELOCALTAG_ROTH_WEIGHT_SOURCE2,
	DISTANCELOCALTAG_ROTH_WEIGHT_SOURCE3,
	DISTANCELOCALTAG_ROTH_WEIGHT_SOURCE4,
	DISTANCELOCALTAG_ROTH_FACTOR_TARGET,
	DISTANCELOCALTAG_ROTH_OFFSET,

	DISTANCELOCALTAG_ROTP_USE,
	DISTANCELOCALTAG_ROTP_WEIGHT_SOURCE1,
	DISTANCELOCALTAG_ROTP_WEIGHT_SOURCE2,
	DISTANCELOCALTAG_ROTP_WEIGHT_SOURCE3,
	DISTANCELOCALTAG_ROTP_WEIGHT_SOURCE4,
	DISTANCELOCALTAG_ROTP_FACTOR_TARGET,
	DISTANCELOCALTAG_ROTP_OFFSET,

	DISTANCELOCALTAG_ROTB_USE,
	DISTANCELOCALTAG_ROTB_WEIGHT_SOURCE1,
	DISTANCELOCALTAG_ROTB_WEIGHT_SOURCE2,
	DISTANCELOCALTAG_ROTB_WEIGHT_SOURCE3,
	DISTANCELOCALTAG_ROTB_WEIGHT_SOURCE4,
	DISTANCELOCALTAG_ROTB_FACTOR_TARGET,
	DISTANCELOCALTAG_ROTB_OFFSET,

	DISTANCELOCALTAG_NUMSOURCES, // Control ID
	DISTANCELOCALTAG_NUMSOURCES_2 = 2, // dropdown value
	DISTANCELOCALTAG_NUMSOURCES_3,
	DISTANCELOCALTAG_NUMSOURCES_4,

// replicate the constants from KinematicExpressionsConstants.h as local values.
// this is necessary because the STR and RES files cannot import other header except
// the predefined ones that bear the same name!

	// constants for the values of the target mode dropdown boxes, must conform with the corresponding
	// values from KinematicExpressionsConstants.h!
	DISTANCELOCALTAG_TARGET_LOCAL = 0,
	DISTANCELOCALTAG_TARGET_GLOBAL
};

#endif // _Tdistancelocaltag_H_200303290931_
