#ifndef _Ttransformationlimittag_H_200303242245_
#define _Ttransformationlimittag_H_200303242245_

enum
{
	TRANSFORMATIONLIMITTAG = 1000,
	TRANSFORMATIONLIMITTAG_ACTIVE, // obsolete, but do not remove!

	TRANSFORMATIONLIMITTAG_ROT,
	TRANSFORMATIONLIMITTAG_ROTH_USE,
	TRANSFORMATIONLIMITTAG_ROTH_MODE,
	TRANSFORMATIONLIMITTAG_ROTH_MIN,
	TRANSFORMATIONLIMITTAG_ROTH_MAX,

	TRANSFORMATIONLIMITTAG_ROTP_USE,
	TRANSFORMATIONLIMITTAG_ROTP_MODE,
	TRANSFORMATIONLIMITTAG_ROTP_MIN,
	TRANSFORMATIONLIMITTAG_ROTP_MAX,

	TRANSFORMATIONLIMITTAG_ROTB_USE,
	TRANSFORMATIONLIMITTAG_ROTB_MODE,
	TRANSFORMATIONLIMITTAG_ROTB_MIN,
	TRANSFORMATIONLIMITTAG_ROTB_MAX,

	TRANSFORMATIONLIMITTAG_TRANS,
	TRANSFORMATIONLIMITTAG_TRANSX_USE,
	TRANSFORMATIONLIMITTAG_TRANSX_MODE,
	TRANSFORMATIONLIMITTAG_TRANSX_MIN,
	TRANSFORMATIONLIMITTAG_TRANSX_MAX,

	TRANSFORMATIONLIMITTAG_TRANSY_USE,
	TRANSFORMATIONLIMITTAG_TRANSY_MODE,
	TRANSFORMATIONLIMITTAG_TRANSY_MIN,
	TRANSFORMATIONLIMITTAG_TRANSY_MAX,

	TRANSFORMATIONLIMITTAG_TRANSZ_USE,
	TRANSFORMATIONLIMITTAG_TRANSZ_MODE,
	TRANSFORMATIONLIMITTAG_TRANSZ_MIN,
	TRANSFORMATIONLIMITTAG_TRANSZ_MAX,

	TRANSFORMATIONLIMITTAG_SCALE,
	TRANSFORMATIONLIMITTAG_SCALEX_USE,
	TRANSFORMATIONLIMITTAG_SCALEX_MODE,
	TRANSFORMATIONLIMITTAG_SCALEX_MIN,
	TRANSFORMATIONLIMITTAG_SCALEX_MAX,

	TRANSFORMATIONLIMITTAG_SCALEY_USE,
	TRANSFORMATIONLIMITTAG_SCALEY_MODE,
	TRANSFORMATIONLIMITTAG_SCALEY_MIN,
	TRANSFORMATIONLIMITTAG_SCALEY_MAX,

	TRANSFORMATIONLIMITTAG_SCALEZ_USE,
	TRANSFORMATIONLIMITTAG_SCALEZ_MODE,
	TRANSFORMATIONLIMITTAG_SCALEZ_MIN,
	TRANSFORMATIONLIMITTAG_SCALEZ_MAX,

// replicate the constants from KinematicExpressionsConstants.h as local values.
// this is necessary because the STR and RES files cannot import other header except
// the predefined ones that bear the same name!

	// constants for the values of the mode dropdown boxes, must conform with the corresponding
	// values from KinematicExpressionsConstants.h!
	TRANSFORMATIONLIMITTAG_LIMITMODE_OFF = 0,
	TRANSFORMATIONLIMITTAG_LIMITMODE_FIX,
	TRANSFORMATIONLIMITTAG_LIMITMODE_MIN,
	TRANSFORMATIONLIMITTAG_LIMITMODE_MAX,
	TRANSFORMATIONLIMITTAG_LIMITMODE_RANGE,

	// constants for the values of the "use" dropdown boxes, must conform with the corresponding
	// "target" values from KinematicExpressionsConstants.h!
	TRANSFORMATIONLIMITTAG_MODE_LOCAL = 0,
	TRANSFORMATIONLIMITTAG_MODE_GLOBAL
};

#endif // _Ttransformationlimittag_H_200303242245_
