#ifndef _Tmorphcontrollertag_H_200603262015_
#define _Tmorphcontrollertag_H_200603262015_

enum
{
	MORPHCONTROLLERTAG = 1000,

	MORPHCONTROLLERTAG_SLIDER,
	MORPHCONTROLLERTAG_BUTTONADD,  // now in section MORPHCONTROLLERTAG_TARGETS
	MORPHCONTROLLERTAG_BUTTONSORT, // now in section MORPHCONTROLLERTAG_TARGETS
	MORPHCONTROLLERTAG_NUMTARGETS, // not for GUI, internal counter only
	MORPHCONTROLLERTAG_INTERPOLATION,      // dropdown / long
	MORPHCONTROLLERTAG_INTERPOLATION_BEND, // real; aka sharpness
	MORPHCONTROLLERTAG_SOURCEUSE,   // bool
	MORPHCONTROLLERTAG_SOURCELINK,  // link
	MORPHCONTROLLERTAG_SOURCESTART, // real
	MORPHCONTROLLERTAG_SOURCEEND,   // real
	MORPHCONTROLLERTAG_SOURCEAXIS,  // dropdown / long

	MORPHCONTROLLERTAG_TARGETS, // section/tab for dynamic target blocks
	// Start of the morph target elements; n times repeated
	// The first 2 morph targets are included in the .res file.
	// The nth morph targets are generated dynamically in the
	// resource, and may be added and removed.
	MORPHCONTROLLERTAG_TARGETLINK1 = 1100,
	MORPHCONTROLLERTAG_TARGETPOS1,
	MORPHCONTROLLERTAG_TARGETSTRENGTH1,
	MORPHCONTROLLERTAG_TARGETTIMEWARP1,
	MORPHCONTROLLERTAG_TARGETWARPPARAM1,
	MORPHCONTROLLERTAG_TARGETBUTTONDEL1,

	MORPHCONTROLLERTAG_SEPARATOR = 10000, // to give each separator a unique ID

	// Values for the interpolation dropdown
	MORPHINTERPOLATION_LINEAR = 0,
	MORPHINTERPOLATION_BEZIER_BISECTOR_SHORTTANGENT,
	MORPHINTERPOLATION_BEZIER_BISECTOR_LONGTANGENT,
	MORPHINTERPOLATION_BEZIER_PARALLEL_SHORTTANGENT,
	MORPHINTERPOLATION_BEZIER_PARALLEL_LONGTANGENT,

	// Values for the time warp dropdown
	MORPHTIMEWARP_LINEAR = 0,
	MORPHTIMEWARP_SLOWINSLOWOUT,
	MORPHTIMEWARP_FASTINFASTOUT,
	MORPHTIMEWARP_SLOWINFASTOUT,
	MORPHTIMEWARP_FASTINSLOWOUT,

	// constants for the values of the source dropdown boxes, must conform with the corresponding
	// values from KinematicExpressionsConstants.h!
	MORPHCONTROLLERTAG_SOURCE_TRANSX_LOCAL = 0,
	MORPHCONTROLLERTAG_SOURCE_TRANSY_LOCAL,
	MORPHCONTROLLERTAG_SOURCE_TRANSZ_LOCAL,
	MORPHCONTROLLERTAG_SOURCE_ROTH_LOCAL,
	MORPHCONTROLLERTAG_SOURCE_ROTP_LOCAL,
	MORPHCONTROLLERTAG_SOURCE_ROTB_LOCAL,
	MORPHCONTROLLERTAG_SOURCE_SCALEX_LOCAL,
	MORPHCONTROLLERTAG_SOURCE_SCALEY_LOCAL,
	MORPHCONTROLLERTAG_SOURCE_SCALEZ_LOCAL,
	MORPHCONTROLLERTAG_SOURCE_TRANSX_GLOBAL,
	MORPHCONTROLLERTAG_SOURCE_TRANSY_GLOBAL,
	MORPHCONTROLLERTAG_SOURCE_TRANSZ_GLOBAL,
	MORPHCONTROLLERTAG_SOURCE_ROTH_GLOBAL,
	MORPHCONTROLLERTAG_SOURCE_ROTP_GLOBAL,
	MORPHCONTROLLERTAG_SOURCE_ROTB_GLOBAL,
	MORPHCONTROLLERTAG_SOURCE_SCALEX_GLOBAL,
	MORPHCONTROLLERTAG_SOURCE_SCALEY_GLOBAL,
	MORPHCONTROLLERTAG_SOURCE_SCALEZ_GLOBAL

};

#endif // _Tmorphcontrollertag_H_200603262015_
