#ifndef _c4dsymbols_H_200308291446_
#define _c4dsymbols_H_200308291446_

enum
{
	// string table definitions
	// start with base strings, if necessary
	IDS_STRINGTABLE_BASE_START_DUMMY = 10000,

	IDS_PARSER_ERROR_NOMEM,
	IDS_PARSER_RETURN_OK,
	IDS_PARSER_RETURN_TOKENIZERERROR_UNRECOGNIZED,
	IDS_PARSER_RETURN_TOKENIZERERROR_RESERVED,
	IDS_PARSER_RETURN_TOKENIZERERROR_FORBIDDEN,
	IDS_PARSER_RETURN_TOKENIZERERROR_FUNCTIONNAME,
	IDS_PARSER_RETURN_TOKENIZERERROR_VARIABLENAME,
	IDS_PARSER_RETURN_TOKENIZERERROR_MISSINGQUOTE,
	IDS_PARSER_RETURN_TOKENIZERERROR_UNKNOWN,
	IDS_PARSER_RETURN_PARSEERROR_NOMEM,
	IDS_PARSER_RETURN_PARSEERROR_REDUCTIONINCOMPLETE,
	IDS_PARSER_RETURN_PARSEERROR_BRACKETERROR,
	IDS_PARSER_RETURN_PARSEERROR_UNSUPPORTED,
	IDS_PARSER_RETURN_DEFAULT,
	IDS_PARSER_ERROR_NSID_EVAL,
	IDS_PARSER_ERROR_NSID_UNRECOGNIZED,
	IDS_PARSER_ERROR_NSID_RESERVED,
	IDS_PARSER_ERROR_NSID_FORBIDDEN,
	IDS_PARSER_ERROR_NSID_FUNCTIONNAME,
	IDS_PARSER_ERROR_NSID_VARIABLENAME,
	IDS_PARSER_ERROR_NSID_MISSINGQUOTE,
	IDS_PARSER_ERROR_NSID_DUPLICATENOT,
	IDS_PARSER_ERROR_NSID_OPERATOR,
	IDS_PARSER_ERROR_NSID_TOKENTYPE,
	IDS_PARSER_ERROR_EVALUATE_EVAL,
	IDS_PARSER_ERROR_EVALUATE_DYADICOPERATOR,
	IDS_PARSER_ERROR_EVALUATE_MONADICOPERATOR,
	IDS_PARSER_ERROR_EVALUATE_NODETYPE,
	IDS_PARSER_ERROR_SPECIFYTAG,
	IDS_PARSER_ERROR_SPECIFYOBJECT,
	IDS_PARSER_ERROR_NAMELIST_ADDNAMES,
	IDS_PARSER_ERROR_NAMELIST_MERGENAMES,
	IDS_PARSER_ERROR_NAMELIST_WRITEBACK,

	IDS_STRINGTABLE_BASE_END_DUMMY = 11000,

	IDS_GENERAL_HELP_UP,
	IDS_GENERAL_HELP_DOWN,
	IDS_GENERAL_HELP_CONTROLLER,
	IDS_GENERAL_HELP_CONTROLLERS,
	IDS_GENERAL_HELP_TARGET,
	IDS_GENERAL_HELP_TARGETS,
	IDS_GENERAL_HELP_SOURCE,
	IDS_GENERAL_HELP_SOURCES,
	IDS_GENERAL_HELP_LINK,
	IDS_GENERAL_HELP_ROTATION,
	IDS_GENERAL_HELP_TRANSLATION,
	IDS_GENERAL_HELP_SCALING,
	IDS_GENERAL_HELP_FACTOR,
	IDS_GENERAL_HELP_OFFSET,
	IDS_GENERAL_HELP_SOURCETARGET,
	IDS_GENERAL_HELP_DEACTIVATED,
	IDS_GENERAL_HELP_POINT,
	IDS_GENERAL_HELP_RTANGENT,
	IDS_GENERAL_HELP_LTANGENT,
	IDS_GENERAL_HELP_LOCAL,
	IDS_GENERAL_HELP_GLOBAL,
	IDS_GENERAL_HELP_LOCALSHORT,
	IDS_GENERAL_HELP_GLOBALSHORT,
	IDS_GENERAL_HELP_XAXISSHORT,
	IDS_GENERAL_HELP_YAXISSHORT,
	IDS_GENERAL_HELP_ZAXISSHORT,
	IDS_GENERAL_HELP_HAXISSHORT,
	IDS_GENERAL_HELP_PAXISSHORT,
	IDS_GENERAL_HELP_BAXISSHORT,

	IDS_GENERAL_ERROR_NOSELECTION,
	IDS_GENERAL_ERROR_MULTISELECTION,

	IDM_GENERAL_MENU_EDIT,	// menu header, no functionality
	IDM_GENERAL_MENU_CUT,
	IDM_GENERAL_MENU_COPY,
	IDM_GENERAL_MENU_CUTADD,
	IDM_GENERAL_MENU_COPYADD,
	IDM_GENERAL_MENU_PASTE,
	IDM_GENERAL_MENU_DELETE,
	IDM_GENERAL_MENU_DELETEALL,
	IDM_GENERAL_MENU_UP,      // move up in list
	IDM_GENERAL_MENU_DOWN,    // move down in list
	IDM_GENERAL_MENU_TOSTART, // move to start of list
	IDM_GENERAL_MENU_TOEND,   // move to end of list
	IDM_GENERAL_MENU_REFRESH,
	IDM_GENERAL_MENU_DISCONNECT,

  // Dialog definitions of IDD_ENTERNAMEDIALOG start here
  IDD_ENTERNAMEDIALOG,
  IDD_ENTERNAMEDIALOG_NAMETEXT,
  IDD_ENTERNAMEDIALOG_NAME,
  // Dialog definitions of IDD_ENTERNAMEDIALOG end here

  // Dialog definitions of IDD_ENTERNAMECOMMENTDIALOG start here
  IDD_ENTERNAMECOMMENTDIALOG,
  IDD_ENTERNAMECOMMENTDIALOG_NAMETEXT,
  IDD_ENTERNAMECOMMENTDIALOG_NAME,
  IDD_ENTERNAMECOMMENTDIALOG_COMMENTTEXT,
  IDD_ENTERNAMECOMMENTDIALOG_COMMENT,
  // Dialog definitions of IDD_ENTERNAMECOMMENTDIALOG end here

	IDS_COMMENTARYTAG,
	IDS_BLOCKFOLDINGTAG,
	IDS_FOLDBRANCHOM1COMMAND,
	IDS_FOLDBRANCHOM1COMMAND_HELP,
	IDS_UNFOLDBRANCHOM1COMMAND,
	IDS_UNFOLDBRANCHOM1COMMAND_HELP,
	IDS_FOLDBRANCHOM2COMMAND,
	IDS_FOLDBRANCHOM2COMMAND_HELP,
	IDS_UNFOLDBRANCHOM2COMMAND,
	IDS_UNFOLDBRANCHOM2COMMAND_HELP,
	IDS_FOLDBRANCHOM3COMMAND,
	IDS_FOLDBRANCHOM3COMMAND_HELP,
	IDS_UNFOLDBRANCHOM3COMMAND,
	IDS_UNFOLDBRANCHOM3COMMAND_HELP,
	IDS_FOLDBRANCHOM4COMMAND,
	IDS_FOLDBRANCHOM4COMMAND_HELP,
	IDS_UNFOLDBRANCHOM4COMMAND,
	IDS_UNFOLDBRANCHOM4COMMAND_HELP,

	IDS_BLOCKVISIBILITYTAG,
	IDS_BRANCHEDITORTORENDERCOMMAND,
	IDS_BRANCHEDITORTORENDERCOMMAND_HELP,
	IDS_BRANCHRENDERTOEDITORCOMMAND,
	IDS_BRANCHRENDERTOEDITORCOMMAND_HELP,
	IDS_BRANCHEDITORVISIBLECOMMAND,
	IDS_BRANCHEDITORVISIBLECOMMAND_HELP,
	IDS_BRANCHEDITORINVISIBLECOMMAND,
	IDS_BRANCHEDITORINVISIBLECOMMAND_HELP,
	IDS_BRANCHEDITORVISUNDEFCOMMAND,
	IDS_BRANCHEDITORVISUNDEFCOMMAND_HELP,
	IDS_BRANCHRENDERVISIBLECOMMAND,
	IDS_BRANCHRENDERVISIBLECOMMAND_HELP,
	IDS_BRANCHRENDERINVISIBLECOMMAND,
	IDS_BRANCHRENDERINVISIBLECOMMAND_HELP,
	IDS_BRANCHRENDERVISUNDEFCOMMAND,
	IDS_BRANCHRENDERVISUNDEFCOMMAND_HELP,

	IDS_NAMEDSTRUCTURESFACADE_ERROR_SELAPPLY,
	IDS_NAMEDSTRUCTURESFACADE_ERROR_VISAPPLY,
	IDS_NAMEDSTRUCTURESFACADE_ERROR_SETTAG_MEM,
	IDS_NAMEDSTRUCTURESFACADE_ERROR_SETTAG_SELTOKEN,
	IDS_NAMEDSTRUCTURESFACADE_ERROR_SETTAG_ADDNAMES,
	IDS_NAMEDSTRUCTURESFACADE_ERROR_SETTAG_MERGENAMES,
	IDS_NAMEDSTRUCTURESFACADE_ERROR_SETTAG_WRITEBACK,

	IDS_NAMEDSTRUCTURETAG,
	IDS_NAMEDSTRUCTUREDIALOG,
	IDS_NAMEDSTRUCTUREDIALOG_HELP,
	IDS_NAMEDSTRUCTUREDIALOG_ERROR_CANTOPEN,
  // Dialog definitions of IDD_NAMEDSTRUCTUREDIALOG start here
  IDD_NAMEDSTRUCTUREDIALOG,
  IDD_NAMEDSTRUCTUREDIALOG_TAGINPUT_GROUP,
  IDD_NAMEDSTRUCTUREDIALOG_TAGINPUT_STRING,
  IDD_NAMEDSTRUCTUREDIALOG_TAGINPUT_SHOWLAYER,
  IDD_NAMEDSTRUCTUREDIALOG_TAGINPUT_DEFINELAYER,
  IDD_NAMEDSTRUCTUREDIALOG_SETTAG_GROUP,
  IDD_NAMEDSTRUCTUREDIALOG_SETTAG_SET_FIRST,
  IDD_NAMEDSTRUCTUREDIALOG_SETTAG_SET_NEW,
  IDD_NAMEDSTRUCTUREDIALOG_SETTAG_REMOVE,
  IDD_NAMEDSTRUCTUREDIALOG_SETTAG_MERGE,
  IDD_NAMEDSTRUCTUREDIALOG_SETTAG_SEPARATE,
  IDD_NAMEDSTRUCTUREDIALOG_SETTAG_DUMMY,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_GROUP,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_FROMTOP,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_OBEYBLOCK,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_EDITOR,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_RENDERER,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_SUPPRESSNSINHERITANCE,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_ONLYTHESE,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_ALLBUTTHESE,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_VISIBLE,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_INVISIBLE,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_UNDEFINED,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_INVERT,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_SET,
  IDD_NAMEDSTRUCTUREDIALOG_SETVISIBILITY_DUMMY,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_GROUP,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_FROMTOP,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_OBEYBLOCK,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_SUPPRESSNSINHERITANCE,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_ADDTOSELECTION,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_SELECTOPEN,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_SELECTONLY,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_OPENONLY,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_DESELECT,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_SET,
  IDD_NAMEDSTRUCTUREDIALOG_SETSELECTION_DUMMY,
  // Dialog definitions of IDD_NAMEDSTRUCTUREDIALOG end here

	IDS_LAYERSTORAGETAG,
	IDS_LAYERSTORAGETAG_ENTRIES,
	IDS_LAYERDIALOG,
	IDS_LAYERDIALOG_HELP,
	IDS_LAYERDIALOG_MULTISELECT,
	IDS_LAYERDIALOG_ERROR_CANTOPEN,
	IDS_LAYERDIALOG_ERROR_LOSTTAG,
	IDS_LAYERDIALOG_ERROR_COMPLEXLAYERSETNOTAG, // Note: Layer expression is complex - cannot set it directly in tags!
	IDS_LAYERDIALOG_ERROR_COMPLEXLAYERNOADDREMOVE, // The selected layer is complex - no add/remove possible!
	IDS_LAYERDIALOG_ERROR_APPLYPROTECTION,
	IDS_LAYERDIALOG_ERROR_LAYERGENERATION,
	IDS_LAYERDIALOG_INFO_LAYERTAGSREMOVED,
	IDS_LAYERDIALOG_LISTTEXT_SIMPLE,
	IDS_LAYERDIALOG_LISTTEXT_COMPLEX,
	IDS_LAYERDIALOG_LISTBUTTON_VISIBLE,
	IDS_LAYERDIALOG_LISTBUTTON_INVISIBLE,
	IDS_LAYERDIALOG_LISTBUTTON_VISUNDEF,
	IDS_LAYERDIALOG_LISTBUTTON_SELECT,
	IDS_LAYERDIALOG_LISTBUTTON_DESELECT,
  // Dialog definitions of IDD_LAYERDIALOG start here
  IDD_LAYERDIALOG,
  IDD_LAYERDIALOG_LIST,
  IDD_LAYERDIALOG_UP,
  IDD_LAYERDIALOG_DOWN,
  IDD_LAYERDIALOG_CHANGE,
  IDD_LAYERDIALOG_DELETE,
  IDD_LAYERDIALOG_CREATE,
  IDD_LAYERDIALOG_ADD,
  IDD_LAYERDIALOG_REMOVE,
	IDD_LAYERDIALOG_NS,
  // Dialog definitions of IDD_LAYERDIALOG end here
	IDM_LAYERDIALOG_LISTFROMDOCUMENT,
	IDM_LAYERDIALOG_LAYER,	// menu header, no functionality
	IDM_LAYERDIALOG_CREATE,
	IDM_LAYERDIALOG_CHANGE,
	IDM_LAYERDIALOG_ADD,
	IDM_LAYERDIALOG_REMOVE,
	IDM_LAYERDIALOG_NS,
	IDM_LAYERDIALOG_PROTECT,
	IDM_LAYERDIALOG_UNPROTECT,
	IDM_LAYERDIALOG_SHOWELEMENTS,
	IDM_LAYERDIALOG_ELEMENT,	// menu header, no functionality
	IDM_LAYERDIALOG_SHOWNS,

  // Dialog definitions of IDD_ENTERLAYERDIALOG start here
	IDD_ENTERLAYERDIALOG,
	IDD_ENTERLAYERDIALOG_TITLE,
	IDD_ENTERLAYERDIALOG_NAMETEXT,
	IDD_ENTERLAYERDIALOG_NAME,
	IDD_ENTERLAYERDIALOG_EXPRESSIONTEXT,
	IDD_ENTERLAYERDIALOG_EXPRESSION,
	IDD_ENTERLAYERDIALOG_SETTAG,
  // Dialog definitions of IDD_ENTERLAYERDIALOG end here

	IDS_POSEJOINTTAG,
	IDS_POSESTORAGETAG,
	IDS_POSESTORAGETAG_ENTRIES,
	IDS_POSESTORAGETAG_JOINTS,
	IDS_POSEDIALOG,
	IDS_POSEDIALOG_HELP,
	IDS_POSEDIALOG_MULTISELECT,
	IDS_POSEDIALOG_ERROR_CANTOPEN,
	IDS_POSEDIALOG_ERROR_APPLY,
	IDS_POSEDIALOG_ERROR_GET,
	IDS_POSEDIALOG_ERROR_REPLACE,
	IDS_POSEDIALOG_ERROR_LOSTTAG,
  // Dialog definitions of IDD_POSEDIALOG start here
  IDD_POSEDIALOG,
  IDD_POSEDIALOG_LIST,
  IDD_POSEDIALOG_UP,
  IDD_POSEDIALOG_DOWN,
  IDD_POSEDIALOG_RENAME,
  IDD_POSEDIALOG_DELETE,
  IDD_POSEDIALOG_CONSTRAINTTEXT,
  IDD_POSEDIALOG_CONSTRAINT,
  IDD_POSEDIALOG_GET,
  IDD_POSEDIALOG_REPLACE,
  IDD_POSEDIALOG_APPLY,
	IDD_POSEDIALOG_COMMENT,
	IDD_POSEDIALOG_COMMENTTEXT,
  // Dialog definitions of IDD_POSEDIALOG end here
	IDM_POSEDIALOG_POSE,	// menu header, no functionality
	IDM_POSEDIALOG_GET,
	IDM_POSEDIALOG_APPLY,
	IDM_POSEDIALOG_REPLACE,
	IDM_POSEDIALOG_RENAME,  // rename currently selected pose
	IDM_POSEDIALOG_MIRRORXY,
	IDM_POSEDIALOG_MIRRORYZ,
	IDM_POSEDIALOG_MIRRORXZ,
	IDM_POSEDIALOG_RENAMEJOINTS, // rename all joints in all selected poses (needs further parameter dialog)

	IDS_ENTERUNICODENAMEDIALOG,
	IDS_ENTERUNICODENAMEDIALOG_HELP,
	IDS_ENTERUNICODENAMEDIALOG_ERROR_CANTOPEN,
  // Dialog definitions of IDD_ENTERUNICODENAMEDIALOG start here
  IDD_ENTERUNICODENAMEDIALOG,
  IDD_ENTERUNICODENAMEDIALOG_DO,
  IDD_ENTERUNICODENAMEDIALOG_ENTERTEXT,
  IDD_ENTERUNICODENAMEDIALOG_ENTER,
  IDD_ENTERUNICODENAMEDIALOG_RESULTTEXT,
  IDD_ENTERUNICODENAMEDIALOG_RESULT,
  IDD_ENTERUNICODENAMEDIALOG_UPPER,
  IDD_ENTERUNICODENAMEDIALOG_LOWER,
  IDD_ENTERUNICODENAMEDIALOG_CAPITAL,
  // Dialog definitions of IDD_ENTERUNICODENAMEDIALOG end here

	IDS_DECODER_ERROR_DIGITSTRINGEMPTY,
	IDS_DECODER_ERROR_NODECDIGIT,
	IDS_DECODER_ERROR_NOHEXDIGIT,
	IDS_DECODER_ERROR_TOOLARGE,
	IDS_DECODER_ERROR_ENDAFTERESCAPE,
	IDS_DECODER_ERROR_ESCAPETOOSHORT,
	IDS_DECODER_ERROR_FORBIDDENCHAR,

	// End of symbol definition
	DUMMY_
};

#endif // _c4dsymbols_H_200308291446_
